Skip to main content
GET
Read a Drive file's content

Authorizations

Authorization
string
header
required

An API key from the web app (Settings → Developer), sent as Authorization: Bearer rvl_live_….

Path Parameters

driveFileId
string
required

Drive file id: dfile_… in a personal Drive, sdfile_… in a shared drive.

Query Parameters

maxBytes
integer
default:262144

Text files: return at most this many bytes inline (up to 1024 KB).

Required range: 1 <= x <= 1048576
rows
integer
default:200

CSV and TSV: return at most this many rows after the header line.

Required range: 1 <= x <= 10000

Response

OK

id
string
required
name
string
required
format
string | null
required
sizeBytes
number
required
url
string
required

Pre-signed download URL.

expiresAt
string<date-time>
required
content
string | null
required

The start of a text file (whole lines only); null for other files: download those from url.

truncated
boolean
required

The file goes on past content; download it from url.

rows
number

CSV and TSV: data rows in content, after the header.